// Copyright (c) 2012-2014 Rowley Associates Limited.
//
// This file may be distributed under the terms of the License Agreement
// provided with this software.
//
// THIS FILE IS PROVIDED AS IS WITH NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

#include <ctl_api.h>
#include "AM335x.h"

#define BUTTON_PRIORITY ctl_lowest_isr_priority()

void
ctl_board_init(void)
{
  CM_PER_GPIO1_CLKCTRL = 1<<18|2; // FCLK_EN | ENABLE
  CONTROL_CONF_GPMC_A7 = 7;//GPIO1Pin23PinMuxSetup();
  GPIO1_CTRL &= ~1; // ENABLE
  GPIO1_OE &= ~(1<<21);
}

void 
ctl_board_set_leds(unsigned on)
{  
  if (on)
    GPIO1_SETDATAOUT = (1<<21);
  else
    GPIO1_CLEARDATAOUT = (1<<21);  
}

static CTL_ISR_FN_t userButtonISR;

void 
ctl_board_on_button_pressed(CTL_ISR_FN_t isr)
{
  userButtonISR = isr;
  // No user button on the beaglebone
}
